﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;

namespace XamDataTreeMarker
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Person> coll = new List<Person>();
            for (int i = 0; i < 200; i++)
            {
                 coll.Add(new Person() { Name = "John"+i });
            }
            xamDataTree1.ItemsSource = coll;           
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            //You can use the ActiveNode wich will automatically bring the node into view
            xamDataTree1.ActiveNode = xamDataTree1.Nodes[170];

            //Or use the SelectedNodes, but this way you should call ScrollNodeIntoView method
            //xamDataTree1.SelectionSettings.SelectedNodes.Add(xamDataTree1.Nodes[170]);
            //xamDataTree1.ScrollNodeIntoView(xamDataTree1.Nodes[170]);
        }
    }

    public class Person
    {
        public string Name { get; set; }
    }
}
